Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 128524 - Redrawing of windows is really slow during DND
Redrawing of windows is really slow during DND
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
PC Solaris
: P3 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-27 08:47 UTC by Petr Chytil
Modified: 2008-12-22 11:54 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Chytil 2008-02-27 08:47:00 UTC
Product Version: NetBeans IDE Dev (Build 200802251204)
Java: 1.5.0_13; Java HotSpot(TM) Client VM 1.5.0_13-b05
System: SunOS version 5.10 running on x86; UTF-8; cs_CZ (nb)
Userdir: /home/tester/.netbeans/dev

Redrawing of main window content is really slow during DNDing of windows on Solaris 10.

We should consider turning off drawing dragged window content on Solaris because no composite window manager is
available in default installation of this OS.
Comment 1 David Simonek 2008-02-29 09:22:16 UTC
Yes, agreed, will turn off drag window on solaris.
Comment 2 Stanislav Aubrecht 2008-03-05 11:03:40 UTC
turned dnd image on solaris off

petr, please verify this fix works as i don't have access to solaris machine, thanx

980905bef86a
Comment 3 Petr Chytil 2008-03-13 17:32:14 UTC
now, it works much faster, thanks ;-)

verified in:

Product Version: NetBeans IDE Dev (Build 20080313103459)
Java: 1.5.0_13; Java HotSpot(TM) Client VM 1.5.0_13-b05
System: SunOS version 5.10 running on x86; UTF-8; cs_CZ (nb)
Userdir: /home/tester/.netbeans/dev


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo